跳转到主要内容
PUT
/
v3beta1
/
enterprise
/
snapshot-setup
/
blueprints
/
{blueprint_id}
替换企业蓝图的 YAML 内容
curl --request PUT \
  --url https://api.devin.ai/v3beta1/enterprise/snapshot-setup/blueprints/{blueprint_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "contents": "<string>"
}
'
import requests

url = "https://api.devin.ai/v3beta1/enterprise/snapshot-setup/blueprints/{blueprint_id}"

payload = { "contents": "<string>" }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({contents: '<string>'})
};

fetch('https://api.devin.ai/v3beta1/enterprise/snapshot-setup/blueprints/{blueprint_id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "blueprint_id": "<string>",
  "created_at": 123,
  "repo_name": "<string>",
  "updated_at": 123
}
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

权限

需要具有企业级 ManageAccountSnapshots 权限的服务用户。

行为

替换企业蓝图中的 YAML 内容。不会自动触发构建。

授权

Authorization
string
header
必填

服务用户凭据(前缀:cog_)

路径参数

blueprint_id
string
必填

请求体

application/json
contents
string
必填

蓝图的新 YAML 内容。

响应

成功响应

公开的 Blueprint 资源结构。

注意:type 枚举未来可能会扩展;客户端 MUST 以优雅方式 处理未知值。YAML 内容需通过 GET /blueprints/{id}/contents 单独获取。

blueprint_id
string
必填
created_at
integer
必填
repo_name
string | null
必填
type
enum<string>
必填
可用选项:
enterprise,
org,
repo
updated_at
integer
必填